<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime\Plugins\ACFPro
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\ACFPro;

use MadeByAura\Prime\Helpers\Assorted;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Do not proceed if the plugin is not active.
		if ( ! Assorted::is_plugin_active( 'advanced-custom-fields-pro/acf.php' ) ) {
			return;
		}

		Hooks\Setup::init();
		Hooks\Scripts::init();
	}
}
